.v-main {
  width: 100% !important;
  margin: auto !important;
  /* max-width: 400px !important; */
}

#__nuxt {
  /* max-width: 400px; */
  margin: auto !important;
}

body {
  background-color: #e3eff3;
}

::-webkit-scrollbar {
  width: 12px;
  border-radius: 7px;
}

::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey;
  border-radius: 7px !important;
}

::-webkit-scrollbar-thumb {
  background: grey;
  border-radius: 1px;
  border-radius: 7px !important;
}

.overflow-x-clip {
  overflow-x: clip !important;
}

.auth-page {
  max-width: 400px !important;
  margin: auto !important;
}

/* 
body {
  background-color: #002233 !important;
} */

.category-carousel .slick-prev:before {
  color: var(--v-primary-base) !important;
  /* border: 1px solid #2eb2c1;
  border-radius: 50%; */
}

.category-carousel .slick-next {
  display: none !important;
}

/* .slick-slide {
  width: 400px !important;
} */

.slick-slide {
  direction: rtl;
}

/* -------VueSlickCarousel------- */

.sp-carousel .slick-prev:before,
.sp-carousel .slick-next:before {
  color: var(--v-primary-base) !important;
  width: 100px;
}

.sp-carousel .slick-next {
  margin-right: 25px;
  z-index: 999;
}

.sp-carousel .slick-prev {
  margin-left: 25px;
  z-index: 999;
}

/* -------VueSlickCarousel------- */

.vpd-column-content::-webkit-scrollbar-thumb {
  background: grey;
  border-radius: 1px;
  border-radius: 7px !important;
}

.vpd-column-content::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey;
  border-radius: 7px !important;
}

.overflow_h {
  overflow: hidden;
}

.opacity-5 {
  opacity: 0.5;
}

/* .opacity_input {
  opacity: 80%;
}

.opacity_input > .vpd-input-group {
  opacity: 80%;
} */

.ltr-item {
  direction: ltr !important;
}

.rtl-item {
  direction: rtl !important;
}

.float-left {
  float: left !important;
}

.text-left {
  text-align: left !important;
}

.text-right {
  text-align: right !important;
}

.text-center {
  text-align: center !important;
}

.word-break-word {
  word-break: break-word !important;
}

.w-max {
  width: 100% !important;
}

.w-half {
  width: 50% !important;
}

.h-max {
  height: 100% !important;
}

.fit {
  padding: 0 !important;
  margin: 0 !important;
}

.pointer {
  cursor: pointer;
}

.center-div {
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
}

.center-div-align {
  display: flex;
  align-items: center;
}

.center-div-justify {
  display: flex;
  justify-content: center;
}

.end-justify {
  display: flex;
  justify-content: flex-end;
}

.end-align {
  display: flex;
  align-items: flex-end;
}

.v-btn {
  text-transform: none !important;
}

tr {
  white-space: nowrap;
}

.nowrap-space {
  white-space: nowrap;
}

.pre-wrap-space {
  white-space: pre-wrap;
}

.pre-line-space {
  white-space: pre-line;
}

.word-break {
  word-break: break-word !important;
}

.fit-contain {
  object-fit: contain;
}

.inherit-width {
  width: inherit;
}

.v-btn__content {
  letter-spacing: 0 !important;
}

.v-tab {
  letter-spacing: 0 !important;
}

.v-list-group .changeheight > .v-list-group__header .v-list-item {
  height: 38px !important;
}

.v-list-group__header .v-list-item {
  height: 30px !important;
}

.v-list-item {
  min-height: 30px !important;
}

.white-back {
  background-color: white !important;
}

.lightred-back {
  background-color: #fff0f0 !important;
}

.gray-back {
  background-color: var(--v-gray-base) !important;
}

.lightprimary2-back {
  background-color: #ddedff !important;
}

.lightgreen-back {
  background-color: #ccf2ce !important;
}

.special-back {
  background: #2db2c180 !important;
  backdrop-filter: blur(21.5px);
}

.puprle-drop-filter {
  background-color: #e128e5 !important;
  /* backdrop-filter: blur(126.80000305175781px) */
  filter: blur(40px);
}

.orange-drop-filter {
  background-color: #ff7530 !important;
  filter: blur(34px);
}

.green-drop-filter {
  background-color: #37c73d !important;
  filter: blur(40px);
}

.lightred-border {
  border: 2px solid #ed3c3c;
}

.white-border {
  border: 2px solid #e1e1e1 !important;
}

.gray-border {
  border: 2px solid #dfdddd !important;
}

.light-gray2-border {
  border: 1px solid #cecece !important;
}

.gray2-border {
  border: 2px solid #cecece !important;
}

.gray2-border-bottom {
  border-bottom: 2px solid #cecece !important;
}

.gray3-border {
  border: 0.5px solid #000000b2 !important;
}

.gray4-border {
  border: 1px solid #bfbfbf !important;
}

.primary50-border {
  border: 1px solid var(--v-primary50-base) !important;
}

.primary50-border-2 {
  border: 2px solid #c3c5d8 !important;
}

.gray100-border-2 {
  border: 2px solid #e2e2e2 !important;
}

.gray400-border {
  border: 1px solid #bcbcbc !important;
}

.gray30-border {
  border: 1px solid #e9e9e9 !important;
}

.gray500-border {
  border: 1px solid var(--v-gray500-base) !important;
}

.red3-border {
  border: 1px solid #f23535 !important;
}

.red3-border-2 {
  border: 2px solid #f23535 !important;
}

.secondary500-border {
  border: 1px solid #5bbd72 !important;
}

.secondary500-border-2 {
  border: 2px solid #5bbd72 !important;
}

.top-darkgray-border {
  border-top: 1px solid #616161 !important;
}

.top-gray3-border {
  border-top: 0.5px solid #000000b2 !important;
}

.bottom-darkgray-border {
  border-bottom: 1px solid #616161 !important;
}

.bottom-white-border {
  border-bottom: 2px solid #fff !important;
}

.left-darkgray-border {
  border-left: 1px solid #616161 !important;
}

.left-white-border {
  border-left: 1px solid #fff !important;
}

.left-white-border2 {
  border-left: 2px solid #fff !important;
}

.left-darkgray2-border {
  border-left: 3px solid #00000033;
}

.darkgray2-border {
  border: 2px solid #00000033;
}

.left-gray-border {
  border-left: 2px solid #00000066;
}

.left-gray2-border {
  border-left: 4px solid #cecece;
}

.left-gray5-border {
  border-left: 5px solid #cecece;
}

.lightprimary3-border {
  border: 3px solid #8ec2ff !important;
}

.lightprimary4-border {
  border: 3px solid #0075ff33 !important;
}

.darkpink-border-2 {
  border: 2px solid #bf3cbf !important;
}

.pink-border-2 {
  border: 2px solid #ff97af !important;
}

.primary-border {
  border: 1px solid #272f72 !important;
}

.green5-border {
  border: 1px solid #3bb73b !important;
}

.primary-border-2 {
  border: 2px solid #272f72 !important;
}

.register-card-border {
  border-width: 2px 2px 4px 2px !important;
  border-style: solid;
  border-color: #616161 !important;
}

.login-card-border {
  border-width: 2px 2px 6px 2px;
  border-style: solid;
  border-color: #2db2c1;
  border-radius: 10px !important;
}

.special-border {
  border-width: 0px 1px 3px 1px !important;
  border-style: solid;
  border-color: #0000004d !important;
}

.special-border-2 {
  border-width: 2px 2px 1px 2px !important;
  border-style: solid;
  border-color: #cecece !important;
}

.gray-light-border {
  border: 2px solid #e1e1e1 !important;
}

.darkgray-border {
  border: 2px solid #616161 !important;
}

.opacity-gray-border {
  border: 1px solid #00000033 !important;
}

.opacity-gray2-border {
  border: 1px solid #0000001a !important;
}

.opacity-gray2-border1 {
  border: 2px solid #0000001a !important;
}

.green-border {
  border: 2px solid #51b34e !important;
}

.orange-border {
  border: 1px solid #fe9526 !important;
}

.border-none {
  border: none !important;
}

.box-shadow-none {
  box-shadow: none !important;
}

.special-box-shadow {
  box-shadow: 0px 1px 4px 1px #00000024 !important;
}

.special-box-shadow-2 {
  box-shadow: 0px 1px 6px 0px rgba(147, 147, 147, 0.4) !important;
}

.special-box-shadow-3 {
  box-shadow: 0px 0px 8px 0px rgba(0, 0, 0, 0.25) !important;
}

.special-box-shadow-4 {
  box-shadow: 0px 1px 10px 0px rgba(0, 0, 0, 0.4) !important;
}

.position_r {
  position: relative !important;
}

.position_ab {
  position: absolute;
}

.discount-inline {
  width: 50px;
  border-radius: 5px;
}

.leaflet-bottom {
  display: none;
}

.leaflet-control-attribution .leaflet-control {
  display: none;
}

.primary-base-border {
  border: 1px solid var(--v-primary-base) !important;
}

.primary-border-3 {
  border: 3px solid #2db2c180 !important;
}

.primary-border-4 {
  border: 2px solid #27bfd0 !important;
}

.text-align-justify {
  text-align: justify;
}

.justify-left {
  justify-content: left;
}

.justify-self-center {
  justify-self: center;
}

.overflow-y-scroll {
  overflow-y: scroll;
}

.special-calc-width {
  min-width: calc(100vw - 330px) !important;
}

.min-height-210 {
  min-height: 210px !important;
}

.height-40 {
  min-height: 40px;
}

.height-160 {
  min-height: 160px;
}

.height-72 {
  height: 72px;
}

.display-inline {
  display: inline;
}

.z-index99 {
  z-index: 99 !important;
}

.z-index100 {
  z-index: 100 !important;
}

.z-index999 {
  z-index: 999 !important;
}

.yellow-text {
  color: #ff9e27 !important;
}

.white-text {
  color: white !important;
}

.mt-20 {
  margin-top: 80px !important;
}

.transform_180 {
  transform: rotate(180deg);
}

.border50p {
  border-radius: 50% !important;
}

.border4 {
  border-radius: 4px !important;
}

.border5 {
  border-radius: 5px !important;
}

.border6 {
  border-radius: 6px !important;
}

.border8 {
  border-radius: 8px !important;
}

.border5-left-radius {
  border-radius: 0 5px 5px 0 !important;
}

.border10 {
  border-radius: 10px !important;
}

.border14 {
  border-radius: 14px !important;
}

.border16 {
  border-radius: 16px !important;
}

.border18 {
  border-radius: 18px !important;
}

.border12 {
  border-radius: 12px !important;
}

.border17 {
  border-radius: 17px !important;
}

.border20 {
  border-radius: 20px !important;
}

.border22 {
  border-radius: 22px !important;
}

.border23 {
  border-radius: 23px !important;
}

.border24 {
  border-radius: 24px !important;
}

.border27 {
  border-radius: 27px !important;
}

.border28 {
  border-radius: 28px !important;
}

.border30 {
  border-radius: 30px !important;
}

.border32 {
  border-radius: 32px !important;
}

.border36 {
  border-radius: 36px !important;
}

.border-bottom-23 {
  border-radius: 0 0 23px 23px !important;
}

.border99 {
  border-radius: 99px !important;
}

.width400 {
  width: 400px !important;
}

.width500 {
  width: 500px !important;
}

.fixed-namad {
  position: fixed;
  left: 0;
  bottom: 80px;
  z-index: 999;
}

.fixed-logo {
  position: fixed;
  right: 0;
  bottom: 80px;
  z-index: 999;
}

.mt-14p {
  margin-top: 14%;
}

.z-index1000 {
  z-index: 1000 !important;
}

.z-index9999 {
  z-index: 9999 !important;
}

.bottom-primaryblue-border2 {
  border-bottom: 2px solid var(--v-primaryBlue-base);
}

.top-bottom-border {
  border-top: 3px solid #0075ff33;
  border-bottom: 3px solid #6161614d;
}

.bottom-border {
  border-bottom: 2px solid #2db2c14d;
}

.gray-bottom-border {
  border-bottom: 7px solid #ececec;
}

.gray50-border2 {
  border: 2px solid #c3c5d8 !important;
}

.orange-gradient-border {
  border: 3px solid transparent !important;
  border-image: linear-gradient(180deg, #ffffff 0%, #ff9900 100%) 1 !important;
  border-radius: 20px;
  /* background: linear-gradient(transparent, transparent) padding-box,
    linear-gradient(180deg, #FFFFFF 0%, #FF9900 100%) border-box;
  border-radius: 23px;
  border: 3px solid transparent; */
}

.special-shadow {
  box-shadow: 0px 2px 4px 0px #00000059 !important;
}

.special-shadow-2 {
  box-shadow: 0px 2px 4px 0px #00000040 !important;
}

.special-shadow-4 {
  box-shadow: 0px 1px 4px 0px #00000040 !important;
}

.special-shadow-3 {
  box-shadow: 0px 0px 4px 0px #00000059 !important;
}

.special-shadow-4 {
  box-shadow: 0px 2px 4px 0px #00000026 !important;
}
.special-text-shadow {
  /* box-shadow: 0px 0px 11.4px 0px #28B6C4 !important; */
  text-shadow: 0 0px #28b6c4, 0 0 11px #28b6c4;
}

/* .v-card {
  border: 1px solid #0000000d !important;
  box-shadow: 0px 2px 4px 0px #00000026 !important;
} */

.primary-marker {
  width: 10px;
  height: 10px;
  border-radius: 10px;
  background-color: var(--v-primary500-base);
}

.secondary500-marker {
  width: 10px;
  height: 10px;
  border-radius: 10px;
  background-color: var(--v-secondary500-base);
}

.white-marker {
  width: 10px;
  height: 10px;
  border-radius: 10px;
  background-color: white;
}

.gradient-back {
  background: linear-gradient(0deg, #212760 0%, #4a5089 83.66%);
}

.gradient-back-2 {
  background: linear-gradient(40deg, #831843 0%, #1c39bb 100%);
}

.gradient-back-3 {
  background: linear-gradient(20deg, #1c39bb 0%, #fff 100%);
}

.gradient-back-4 {
  background: linear-gradient(20deg, #22c55e 0%, #1c39bb 100%);
}

.gradient-back-5 {
  background: linear-gradient(0deg, #3e814e 0%, #5bbd72 55.29%);
}

.back-linear {
  background-image: linear-gradient(270deg, #e7fdec, #ffffff 22%, #e7fdec 100%);
}

.back-linear-2 {
  background: linear-gradient(180deg, #f3f3f3 42.53%, #cccccc 100%);
}

.back-linear-3 {
  background: linear-gradient(0deg, #212760 0%, #4a5089 83.66%);
}

.back-linear-4 {
  background: linear-gradient(243.13deg, #6c729f 2.59%, #212760 67.75%);
}

.back-linear-5 {
  background: linear-gradient(243.13deg, #75c889 2.59%, #3e814e 67.75%);
}

.opacity-red-back {
  background-color: #f2353524 !important;
}

.rotate-img {
  transform: scale(-1, 1);
}

/* svg > path {
  fill: var(--v-primary-base) !important;
} */

.place-self-center {
  place-self: center !important;
}

.column-gap-3 {
  column-gap: 12px !important;
}

.row-gap-3 {
  row-gap: 12px !important;
}

.column-gap-4 {
  column-gap: 16px !important;
}

.row-gap-4 {
  row-gap: 16px !important;
}

.gray5-back {
  background-color: #f2f4f6;
}

/* .v-input__slot {
  background-color: white !important;
} */

.v-text-field .v-input__control .v-input__slot {
  min-height: auto !important;
  /* border: 1px solid rgba(188, 188, 188, 1);
  border-radius: 6px; */
  /* display: flex !important; */
  /* align-items: center !important; */
}

.center-placeholder input {
  font-size: 17px;
  color: white;
  font-weight: 80;
  text-align: center;
}

.opacity-back {
  background-color: rgba(255, 255, 255, 0.3);
}

.back-transparent {
  background-color: transparent !important;
}

.fixed-namad-logo,
.fixed-namad-logo-auth {
  position: fixed;
  margin-right: auto;
  margin-left: auto;
  z-index: 999;
}

.fixed-namad-logo-auth {
  bottom: 0;
}

.dashed {
  border-top: 1px dashed #e2e2e2 !important;
}

.d-none {
  display: none !important;
}

@media only screen and (max-width: 400px) {
  .fixed-namad-logo,
  .fixed-namad-logo-auth {
    left: 12px;
  }
  .fixed-namad-logo {
    bottom: 110px;
  }
}
@media only screen and (min-width: 400px) {
  .fixed-namad-logo,
  .fixed-namad-logo-auth {
    /* left: calc((100% - 400px) / 2); */
    left: 26px;
  }
  .fixed-namad-logo {
    bottom: 26px;
  }
}

/* .custom-select .v-input__control > .v-input__slot {
  border: 1px solid rgba(39, 47, 114, 1);
  border-radius: 20px;
} */

.custom-select .v-input__control > .v-select__slot > .v-input__append-inner {
  margin-top: 8px !important;
}

.linear-circle-back {
  background-image: radial-gradient(circle, #737373 1px, #b84f4f00 0);
  background-position: bottom;
  background-size: 1ex 18.5px;
  background-repeat: space no-repeat;
}

.scroll-style {
  overflow-y: scroll;
  scrollbar-width: none;
}

.width-fit-content {
  width: fit-content;
}